Subject: Re: bug#22847: #17062: 24.3 current-fill-column breaks fill-match-adaptive-prefix

From: Stefan Kangas <[email-masked]>
Date: Mon, 10 May 2021 08:29:49 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> +** Setting fill-columns to nil is obsolete.
>> +This undocumented use of fill-columns is now obsolete.  If you have
>> +set this value to nil disable auto filling, stop setting this variable
>> +and disable auto-fill-mode in the relevant mode instead.
>
> Skimming this thread, this patch makes sense to me, I think?  But it was
> never applied?

There might be a subtle problem with it after all but I can't remember
the details now.

This code is a little bit more tricky than what first meets the eye, I
think.  So I would suggest someone takes a closer look before
installing.